function PidOperationUpdatePage()
{
	var SaveGlobalVariable = function(Row){PidOperationUpdatePage.prototype._SaveGlobalVariable_(Row);};
	var IsSaveGlobalVariable = function(){return PidOperationUpdatePage.prototype._IsSaveGlobalVariable_();};
	var ShowFirstPage = function(){PidOperationUpdatePage.prototype._ShowFirstPage_();};
	this.Initialization = function(){PidOperationUpdatePage.prototype._Initialization_();};
}










function PidOperationFirstPage()
{
  var AutomaticPidName = function(){PidOperationFirstPage.prototype._AutomaticPidName_();};
  //建立資料
  var BuildPidOperationObject   = function(that){PidOperationFirstPage.prototype._BuildPidOperationObject_(that);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){PidOperationFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){PidOperationFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){PidOperationFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){PidOperationFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //介面
  this.RedisplayUi       = function(){PidOperationFirstPage.prototype._RedisplayUi_();};
  //移除
  var RemoveGlobalVariable = function(DeviceName, number){PidOperationFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedPid = function(){PidOperationFirstPage.prototype._RemoveTickedPid_();};
  this.DeletePid        = function(){PidOperationFirstPage.prototype._DeletePid_();};
  //判斷
  var IsNameRepeat = function(Name){return PidOperationFirstPage.prototype._IsNameRepeat_(Name);};
  this.IsTickedPid = function(){return PidOperationFirstPage.prototype._IsTickedPid_();};
  //初始化
  this.Initialization = function(){PidOperationFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckPidName = function(that){PidOperationFirstPage.prototype._CheckPidName_(that);};
  //傳輸
  var TransmissionJson = function(ssocket, Command, string, Callback){PidOperationFirstPage.prototype._TransmissionJson_(ssocket, Command, string, Callback);};
  var SaveStart = function(that, ssocket){PidOperationFirstPage.prototype._SaveStart_(that, ssocket);};
  var SaveFinished = function(that, ssocket){PidOperationFirstPage.prototype._SaveFinished_(that, ssocket);};
  //按鈕
  this.AddNewRow  = function(that){PidOperationFirstPage.prototype._AddNewRow_(that);};
  this.EditButton = function(that){PidOperationFirstPage.prototype._EditButton_(that);};
  this.SaveButton = function(that){PidOperationFirstPage.prototype._SaveButton_(that);};
}










function PidOperationSecondPage()
{
  //取值
  var GetModuleName = function(){PidOperationSecondPage.prototype._GetModuleName_();};
  var GetVariableName = function(){PidOperationSecondPage.prototype._GetVariableName_();};
  var GetModuleVariable = function(Module){PidOperationSecondPage.prototype._GetModuleVariable_(Module);};
  var GetGlobalVariable = function(Module){PidOperationSecondPage.prototype._GetGlobalVariable_(Module);};
  var GetVariableIndexPrefixWord = function(that){PidOperationSecondPage.prototype._GetVariableIndexPrefixWord_(that);};
  var GetScalingModuleVariableIndex = function(GlobalVariable, ModuleNumber, PrefixVariableIndex, VariableName){PidOperationSecondPage.prototype._GetScalingModuleVariableIndex_(GlobalVariable, ModuleNumber, PrefixVariableIndex, VariableName);};

  //設定
  var SetOtherFormValue = function(){PidOperationSecondPage.prototype._SetOtherFormValue_();};
  var SetInputFormValue = function(number){PidOperationSecondPage.prototype._SetInputFormValue_(number);};
  var SetOutputFormValue = function(number){PidOperationSecondPage.prototype._SetOutputFormValue_(number);};
  //清除
  var ClearForm = function(){PidOperationSecondPage.prototype._ClearForm_();};
  //初始化
  this.Initialization = function(number){PidOperationSecondPage.prototype._Initialization_(number);};
  //載入
  var LoadInputData = function(number){PidOperationSecondPage.prototype._LoadInputData_(number);};
  var LoadOutputData = function(number){PidOperationSecondPage.prototype._LoadOutputData_(number);};
  this.LoadModuleName = function(ModuleType, that){PidOperationSecondPage.prototype._LoadModuleName_(ModuleType, that);};
  var LoadModuleType = function(){PidOperationSecondPage.prototype._LoadModuleType_();};
  var LoadModuleNumber = function(ModuleType, that){PidOperationSecondPage.prototype._LoadModuleNumber_(ModuleType, that);};
  var LoadInputVariableAttribute = function(ModuleType){PidOperationSecondPage.prototype._LoadInputVariableAttribute_(ModuleType);};
  var LoadOutputVariableAttribute = function(ModuleType){PidOperationSecondPage.prototype._LoadOutputVariableAttribute_(ModuleType);};
  var LoadVariableType = function(ModuleType, that){PidOperationSecondPage.prototype._LoadVariableType_(ModuleType, that);};
  var LoadVariableName = function(){PidOperationSecondPage.prototype._LoadVariableName_();};
  var ScalingLoadVariableName = function(){PidOperationSecondPage.prototype._ScalingLoadVariableName_();};
  var GetModuleScalingVariableNameArray = function(){PidOperationSecondPage.prototype._GetModuleScalingVariableNameArray_();};
  var GetModuleScalingVariableName = function(GlobalVariable, ModuleNumber, VariableIndex){PidOperationSecondPage.prototype._GetModuleScalingVariableName_();};
  //顯示
  var ShowInputErrorMessage = function(){PidOperationSecondPage.prototype._ShowInputErrorMessage_();};
  var ShowOutputErrorMessage = function(){PidOperationSecondPage.prototype._ShowOutputErrorMessage_();};
  //判斷
  var IsNameRepeat = function(Name){PidOperationSecondPage.prototype._IsNameRepeat_(Name);};
  //檢查
  this.CheckPidName = function(that){PidOperationSecondPage.prototype._CheckPidName_(that);};
  this.CheckSampleTime = function(that){PidOperationSecondPage.prototype._CheckSampleTime_(that);};
  this.CheckKp = function(that){PidOperationSecondPage.prototype._CheckKp_(that);};
  this.CheckKi = function(that){PidOperationSecondPage.prototype._CheckKi_(that);};
  this.CheckKd = function(that){PidOperationSecondPage.prototype._CheckKd_(that);};
  this.CheckSetValue = function(that){PidOperationSecondPage.prototype._CheckSetValue_(that);};
  this.CheckMin = function(that){PidOperationSecondPage.prototype._CheckMin_(that);};
  this.CheckMax = function(that){PidOperationSecondPage.prototype._CheckMax_(that);};
  this.CheckAutoTune = function(that){PidOperationSecondPage.prototype._CheckAutoTune_(that);};
  //改變
  this.ChangeInputModuleType = function(Module, that){PidOperationSecondPage.prototype._ChangeInputModuleType_(Module, that);};
  this.ChangeOutputModuleType = function(Module, that){PidOperationSecondPage.prototype._ChangeOutputModuleType_(Module, that);};
  this.ChangeModuleNumber = function(Module, that){PidOperationSecondPage.prototype._ChangeModuleNumber_(Module, that);};
  this.ChangeVariableAttribute = function(Module, that){PidOperationSecondPage.prototype._ChangeVariableAttribute_(Module, that);};
  this.ChangeVariableType = function(Module, that){PidOperationSecondPage.prototype._ChangeVariableType_(Module, that);};
  //物件
  var ModifyPidOperationObject = function(){PidOperationSecondPage.prototype._ModifyPidOperationObject_();};
  var ModifyInputDataObject = function(Form, Variable, PidNumber){PidOperationSecondPage.prototype._ModifyInputDataObject_(Form, Variable, PidNumber);};
  var ModifyOutputDataObject = function(Form, Variable, PidNumber){PidOperationSecondPage.prototype._ModifyOutputDataObject_(Form, Variable, PidNumber);};
  var ModifyScalingInputDataObject = function(Form, Variable, PidNumber){PidOperationSecondPage.prototype._ModifyScalingInputDataObject_(Form, Variable, PidNumber);};
  var ModifyScalingOutputDataObject = function(Form, Variable, PidNumber){PidOperationSecondPage.prototype._ModifyScalingOutputDataObject_(Form, Variable, PidNumber);};

  //選擇
  var SelectModuleType = function(){PidOperationSecondPage.prototype._SelectModuleType_();};
  //按鈕
  this.ConfirmButton = function(that){PidOperationSecondPage.prototype._ConfirmButton_(that);};
  this.NoConfirmButton = function(){PidOperationSecondPage.prototype._NoConfirmButton_();};
}